Package org.apache.sling.feature.extension.apiregions.api

# Enum DeprecationValidationMode

java.lang.Object
java.lang.Enum<DeprecationValidationMode>
org.apache.sling.feature.extension.apiregions.api.DeprecationValidationMode

All Implemented Interfaces:
  `Serializable`, `Comparable<DeprecationValidationMode>`

public enum DeprecationValidationMode extends Enum<DeprecationValidationMode>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LENIENT`
Default mode - if api is used, issue a warning.
`STRICT`
If api is used, issue an error.

## Method Summary

Modifier and Type
Method
Description
`static DeprecationValidationMode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DeprecationValidationMode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LENIENT

public static final DeprecationValidationMode LENIENT
Default mode - if api is used, issue a warning.

### STRICT

public static final DeprecationValidationMode STRICT
If api is used, issue an error.

## Method Details

### values

public static DeprecationValidationMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DeprecationValidationMode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null